Last Comment Bug 536904 - Add toggletoolbar="true" to the windows that should have a Mac toolbar toggle pill
: Add toggletoolbar="true" to the windows that should have a Mac toolbar toggle...
Status: RESOLVED FIXED
:
Product: SeaMonkey
Classification: Client Software
Component: UI Design (show other bugs)
: Trunk
: x86 Mac OS X
: -- normal (vote)
: seamonkey2.1a3
Assigned To: Stefan [:stefanh]
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-12-27 14:22 PST by Stefan [:stefanh]
Modified: 2010-08-03 10:18 PDT (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
b1+


Attachments
Add pill button and remove top border (12.09 KB, patch)
2010-07-17 08:22 PDT, Stefan [:stefanh]
mnyromyr: review+
neil: superreview+
Details | Diff | Splinter Review

Description Stefan [:stefanh] 2009-12-27 14:22:24 PST
As philor said in bug #520338:

"After bug 269410, we need to add toggletoolbar="true" to the window element in windows where we want the pill button to toggle the toolbar...."

This is 1.9.2/1.9.3-only.
Comment 1 Stefan [:stefanh] 2010-05-17 11:53:01 PDT
I think we should have this on the radar, so it doesn't get lost.
Comment 2 Stefan [:stefanh] 2010-07-17 08:22:27 PDT
Created attachment 458093 [details] [diff] [review]
Add pill button and remove top border

Re the css: the border is not needed anymore (mstange have fixed it). There are some problems, though - see bug 579250. I'll remove it anyway, since I think things will finally be solved:

<mstange>	roc will probably fix it again, so you might just remove it
Comment 3 neil@parkwaycc.co.uk 2010-07-17 11:40:30 PDT
Comment on attachment 458093 [details] [diff] [review]
Add pill button and remove top border

You are allowed to add the attribute in the middle of the list on all the windows, thus avoiding editing the existing last line ;-)
Comment 4 Karsten Düsterloh 2010-08-02 15:41:05 PDT
Comment on attachment 458093 [details] [diff] [review]
Add pill button and remove top border

I wonder if the pill button maybe should also toggle the sidebar, like it does in the Finder?

r=me without the change noise Neil mentioned.
Comment 5 Stefan [:stefanh] 2010-08-03 10:16:47 PDT
http://hg.mozilla.org/comm-central/rev/c08135ef6a07 (with fixed noise).
Comment 6 Stefan [:stefanh] 2010-08-03 10:18:08 PDT
(In reply to comment #4)
> 
> I wonder if the pill button maybe should also toggle the sidebar, like it does
> in the Finder?

I think that would be an overkill :-)

Note You need to log in before you can comment on or make changes to this bug.